[**Headlamp Sealed Secrets API v0.2.0**](../../../README.md)

***

[Headlamp Sealed Secrets API](../../../README.md) / [lib/crypto](../README.md) / validateCertificate

# Function: validateCertificate()

> **validateCertificate**(`pemCert`): `boolean`

Defined in: [src/lib/crypto.ts:154](https://github.com/privilegedescalation/headlamp-sealed-secrets-plugin/blob/bdf19cd3bf5a2d679b7ba949108fe9df1843c5f4/headlamp-sealed-secrets/src/lib/crypto.ts#L154)

Validate a PEM certificate

## Parameters

### pemCert

[`PEMCertificate`](../../../types/type-aliases/PEMCertificate.md)

PEM-encoded certificate string (branded type)

## Returns

`boolean`

true if certificate is valid, false otherwise
